﻿using System.Runtime.Serialization;

namespace Push.Share.Dtos.FWMessage
{
    public class SendSmsModelDto
    {
        /// <summary>
        /// 待发ID
        /// </summary>
        [DataMember]
        public int nWaitID;
        /// <summary>
        /// 帐号
        /// </summary>
        [DataMember]
        public string strAccountUser;

        /// <summary>
        /// 密码
        /// </summary>
        [DataMember]
        public string strAccountPwd;

        /// <summary>
        /// 短信类型
        /// </summary>
        [DataMember]
        public string strType;

        /// <summary>
        /// 流程ID
        /// </summary>
        [DataMember]
        public int nFlowID;

        /// <summary>
        /// 接收姓名
        /// </summary>
        [DataMember]
        public string strPhoneName;

        /// <summary>
        /// 接收号码
        /// </summary>
        [DataMember]
        public string strPhoneNumber;

        /// <summary>
        /// 接收号码
        /// </summary>
        [DataMember]
        public string strPhoneNumberAll;

        /// <summary>
        /// 批量发送号码格式为，姓名,号码
        /// </summary>
        [DataMember]
        public List<object[]> listSendTelNumber;

        /// <summary>
        /// 批量发送号码
        /// </summary>
        [DataMember]
        public System.Data.DataTable dtTelNumber;

        /// <summary>
        /// 短信内容
        /// </summary>
        [DataMember]
        public string strPhoneConnent;

        /// <summary>
        /// 备注
        /// </summary>
        [DataMember]
        public string strRemark;

        /// <summary>
        /// 添加时间
        /// </summary>
        [DataMember]
        public DateTime dAddTime;

        /// <summary>
        /// 用户ID
        /// </summary>
        [DataMember]
        public int nUserID;

        /// <summary>
        /// 用户姓名
        /// </summary>
        [DataMember]
        public string strUserName;

        /// <summary>
        /// 发送部门ID
        /// </summary>
        [DataMember]
        public int nBMID;

        /// <summary>
        /// 发送部门名称
        /// </summary>
        [DataMember]
        public string strBMName;
    }
}
